Create a virtual company and its administrator
POST
/api/v3/teams/virtual-company-admin
const url = 'https://api.tryletterhead.com/api/v3/teams/virtual-company-admin';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/teams/virtual-company-admin \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "companyName": "Amazing Example", "orgSlug": "amazing-example", "email": "[email protected]" }'On a shared tenant where one org’s brands are grouped into separate companies, creates the company (if it doesn’t already exist) and grants the given email address company-administrator access to it.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
companyName
required
Name of the company to create or reuse.
string
orgSlug
required
Slug of the brand/organization the company is created under.
string
email
required
Email address to grant company-administrator access to.
string
Example
{ "companyName": "Amazing Example", "orgSlug": "amazing-example",}Responses
Section titled “ Responses ”200 OK
Media type application/json
object
items
Array
message
string
total
integer
Example
{ "items": [], "total": 0}Still can’t find what you need? Contact support.